Support » Plugin: WP-SpamShield » Error activating plugin

  • Resolved ricardo.araujo330

    (@ricardoaraujo330)


    Hello!

    I love the plugin, but with the last updates this error appeared:

    “The plugin generated 3206 characters of unexpected results during activation. If you notice messages from “headers already sent”, problems with feeds or other problems, try to disable or remove this plugin.”

    How can i fix it?

Viewing 3 replies - 1 through 3 (of 3 total)
  • Farbweiss

    (@farbweiss)

    I have the same problems with latest version. After activation I get nice errors thrown out on the frontend:

    Warning: preg_match(): Delimiter must not be alphanumeric or backslash in xxx/wp-content/plugins/wp-spamshield/includes/class.utils.php on line 665

    Warning: preg_match(): No ending delimiter ‘~’ found in xxx/wp-spamshield/includes/class.utils.php on line 665

    Warning: preg_match(): Delimiter must not be alphanumeric or backslash in xxx/wp-content/plugins/wp-spamshield/includes/class.utils.php on line 665

    Warning: preg_match(): No ending delimiter ‘~’ found in xxx/wp-content/plugins/wp-spamshield/includes/class.utils.php on line 665

    Warning: preg_match(): Delimiter must not be alphanumeric or backslash in xxx/wp-content/plugins/wp-spamshield/includes/class.utils.php on line 665

    I used the forms on : https://www.redsandmarketing.com/plugins/wp-spamshield/support/ –> you should do the same.

    I hope there will be a fix soon. Until than I have to disable the plugin.

    Plugin Contributor RSMG Tech Support

    (@rsm-support)

    Hi @ricardoaraujo330,

    At the top of the support forum there is a sticky post that we ask users to read first because it guides you to excellent troubleshooting options we have already put together for our plugin users.

    We will be happy to help you. You will need to take the following steps:

    1. The Troubleshooting Guide and Frequently Asked Questions (FAQs) are the place to start.

      Please take a few minutes to work through these, as they solve over 90% of issues users have. (Please be sure to follow all the steps, not just read through them.) The issue might not be what you suspect.

      Once you have gone through the Troubleshooting Guide and FAQs, if that doesn’t solve the issue, we’ll need a bit more info from you on the specifics, and we’ll need to email back and forth, so you should move on to the next step.

    2. Submit a support request using the secure form at the WP-SpamShield Support page, our main support channel for the plugin. We have an excellent diagnostic process.

    That will allow us to help you diagnose this, find out what the real issue is, and get things working right for you.

    – Steven

    Please note that the WP-SpamShield Support page is our main support venue, not the WordPress forums here, so that will always be the best way to get a quick response and resolve any tech support issues. Please direct any further support questions there.

    @farbweiss,

    We just received your support request. Check your email in a few minutes and we’ll go from there. 🙂

    – Steven

    Plugin Contributor Red Sand Media Group

    (@redsand)

    Update: Version 1.9.9.8.6 has been released. Issues affecting a small subset of 1.9.9.8.5 users have been resolved. An option to disable auto-updates has been added to the settings page, along with an advanced option to force-disable automatic updates and remove the option from the settings page. (This would be useful for multisite admins.) To disable auto-updates in the settings page, just uncheck the box for “Enable Automatic Updates” and click “Save Changes”. To use the advanced option, add the following code to the wp-config.php file (before it says to stop editing):

    
    define( 'WPSS_AUTOUP_DISABLE', TRUE );
    

    That should make everyone happy. 🙂

    – Scott

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error activating plugin’ is closed to new replies.